// 'use client'
import { getIbcRequestList } from "@/app/lib/ibc/action";
import { Box } from "@chakra-ui/react";
import IbcTable from "./component/table";

export interface IbcProps {
  searchParams: {
    page: number;
    q: string;
  };
}

export default async function Ibc({ searchParams }: IbcProps) {
  const fetchData = await getIbcRequestList(searchParams);


  return (
    <Box pt={{ base: "130px", md: "80px", xl: "80px" }} mb="20px">
      {fetchData?.data && <IbcTable data={fetchData?.data}></IbcTable>}
    </Box>
  );
}
